function onBegin()
    player.ForceCameraUpdate = true
    disableMovement ()
    wait(5)
    enableMovement ()
    player.ForceCameraUpdate = false
end

function onEnd(level, wasSkipped)
    if wasSkipped then
        instantTeleportTo(13648,-3720)
        enableMovement ()
        player.ForceCameraUpdate = false
    end
end